%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

# Package is a GUI program, but there is no icon available.
# A .desktop file cannot be made without one => no desktop file.

Name:		qmforge
Version:	2.1
Release:	10%{?dist}
Summary:	Analysis tools for quantum mechanical calculations

Group:		Development/Languages
License:	GPLv2+
URL:		http://qmforge.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/QMForge-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	PyQt4
BuildRequires:	python-devel
BuildRequires:	python-cclib

Requires:	PyQt4
Requires:	python-cclib
Requires:	python-openbabel
Requires:	PyOpenGL

%description
QMForge reads output from various quantum mechanical calculations and provides
tools for analyzing these results. Specifically, population (Mulliken and
C-squared), fragment, and charge decomposition analyses are available.

%prep
%setup -q -n QMForge-%{version}
# Remove shebangs from libraries
for file in src/*; do
 grep -v "#!/usr/bin/env python" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done 

%build
# Remove CFLAGS=... for noarch packages (unneeded)
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc PKG-INFO
%{python_sitelib}/%{name}/
%{python_sitelib}/QMForge-*.egg-info
%{_bindir}/%{name}

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 25 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 2.1-4
- Removed duplicate Requires: python-openbabel.
- Added Requires: PyOpenGL.

* Thu Apr 23 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 2.1-3
- Added missing BRs to be able to build in mock.

* Thu Apr 23 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 2.1-2
- Added comment about desktop file.

* Thu Apr 23 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 2.1-1
- First release.
